#pragma once

#include "Gedeng/Application.h"

extern Gedeng::Application *Gedeng::create_application();

// If the user program defines GEDENG_MAIN, supply this main function
#ifdef GEDENG_MAIN
int main() {
    // Initialize logging
    Gedeng::Logger::init();
    GG_CORE_WARN("Logger initialized");

    Gedeng::Application *app = Gedeng::create_application();

    app->run();

    delete app;

    return 0;
}
#endif